pidgin: _PurpleCertificateVerificationRequest Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleCertificateVerificationRequest Struct Reference

Structure for a single certificate request. More...

`#include <certificate.h>`

## Data Fields
PurpleCertificateVerifier * | verifier
| Reference to the verification logic used.
PurpleCertificateScheme * | scheme
| Reference to the scheme used.
gchar * | subject_name
| Name to check that the certificate is issued to.
GList * | cert_chain
| List of certificates in the chain to be verified (such as that returned by purple_ssl_get_peer_certificates )
gpointer | data
| Internal data used by the Verifier code.
PurpleCertificateVerifiedCallback | cb
| Function to call with the verification result.
gpointer | cb_data
| Data to pass to the post-verification callback.

## Detailed Description

Structure for a single certificate request.

Useful for keeping track of the state of a verification that involves several steps

Definition at line 407 of file certificate.h.

## Field Documentation

## ◆ cb

PurpleCertificateVerifiedCallback _PurpleCertificateVerificationRequest::cb

Function to call with the verification result.

Definition at line 435 of file certificate.h.

## ◆ cb_data

gpointer _PurpleCertificateVerificationRequest::cb_data

Data to pass to the post-verification callback.

Definition at line 437 of file certificate.h.

## ◆ cert_chain

GList* _PurpleCertificateVerificationRequest::cert_chain

List of certificates in the chain to be verified (such as that returned by purple_ssl_get_peer_certificates )

This is most relevant for X.509 certificates used in SSL sessions. The list order should be: certificate, issuer, issuer's issuer, etc.

Definition at line 429 of file certificate.h.

## ◆ data

gpointer _PurpleCertificateVerificationRequest::data

Internal data used by the Verifier code.

Definition at line 432 of file certificate.h.

## ◆ scheme

PurpleCertificateScheme* _PurpleCertificateVerificationRequest::scheme

Reference to the scheme used.

This is looked up from the Verifier when the Request is generated

Definition at line 415 of file certificate.h.

## ◆ subject_name

gchar* _PurpleCertificateVerificationRequest::subject_name

Name to check that the certificate is issued to.

For X.509 certificates, this is the Common Name

Definition at line 422 of file certificate.h.

## ◆ verifier

PurpleCertificateVerifier* _PurpleCertificateVerificationRequest::verifier

Reference to the verification logic used.

Definition at line 410 of file certificate.h.

The documentation for this struct was generated from the following file:

- certificate.h